<div class="new-task__container">
    <div class="new-task__title">
        <mat-form-field class="new-task__title--input" appearance="fill">
            <input matInput type="text" autocomplete="off" placeholder="Wpisz nazwę zadania" [formControl]="titleControl">
        </mat-form-field>
    </div>
    <div class="new-task__description">
        <mat-form-field class="new-task__description--input" appearance="fill">
                    <textarea matInput
                              cdkTextareaAutosize
                              placeholder="Wpisz treść zadania"
                              spellcheck="false"
                              cdkAutosizeMinRows="2"
                              cdkAutosizeMaxRows="5"
                              [formControl]="descriptionControl"></textarea>
        </mat-form-field>
    </div>
    <div class="new-task__footer">
        <button mat-button class="new-task__footer--add-btn" (click)="addTask()"
                [disabled]="titleControl.invalid || descriptionControl.invalid"
        >
            + Dodaj zadanie
        </button>

        <button mat-icon-button (click)="closeNewTask()">
            <mat-icon>delete_outline</mat-icon>
        </button>
    </div>
</div>